Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security.impl.jacc
Class JACCPortalAuthorizationManager

    java.lang.Object
      org.jboss.portal.security.impl.jacc.JACCPortalAuthorizationManager

All Implemented Interfaces:
  PortalAuthorizationManager

    public class JACCPortalAuthorizationManager

extends java.lang.Object
implements PortalAuthorizationManager

Portal Authorization Manager based on JACC Has deep integration with the JBossSX Jacc Layer.

Since:
  Jan 30, 2006
Author:
  Anil Saldhana, Julien Viet

Constructor Summary
`JACCPortalAuthorizationManager(JACCPortalAuthorizationManagerFactory factory)`

Method Summary
`boolean` | `checkPermission(PortalPermission permission)`
`boolean` | `checkPermission(javax.security.auth.Subject checkedSubject, PortalPermission permission)`
`void` | `checkRoleConfig(java.lang.String contextID, java.lang.String roleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPortalAuthorizationManager

    public JACCPortalAuthorizationManager(JACCPortalAuthorizationManagerFactory factory)

Method Detail

### checkRoleConfig

    public void checkRoleConfig(java.lang.String contextID,
                                java.lang.String roleName)
                         throws PortalSecurityException

  Throws:
    `PortalSecurityException`

### checkPermission

    public boolean checkPermission(javax.security.auth.Subject checkedSubject,
                                   PortalPermission permission)
                            throws java.lang.IllegalArgumentException,
                                   PortalSecurityException

  Specified by:
    `checkPermission` in interface `PortalAuthorizationManager`
  Returns:
  Throws:
    `java.lang.IllegalArgumentException` - if the permission is null
    `PortalSecurityException`

### checkPermission

    public boolean checkPermission(PortalPermission permission)
                            throws java.lang.IllegalArgumentException,
                                   PortalSecurityException

  Specified by:
    `checkPermission` in interface `PortalAuthorizationManager`
  Returns:
  Throws:
    `java.lang.IllegalArgumentException` - if the permission is null
    `PortalSecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD